Return the list of regions (states or provinces) optionally filtered by Country
curl --request POST \
--url https://{globale_api_domain}/Browsing/Regionsimport requests
url = "https://{globale_api_domain}/Browsing/Regions"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://{globale_api_domain}/Browsing/Regions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{globale_api_domain}/Browsing/Regions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{globale_api_domain}/Browsing/Regions"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{globale_api_domain}/Browsing/Regions")
.asString();require 'uri'
require 'net/http'
url = URI("https://{globale_api_domain}/Browsing/Regions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"Region": [
{
"Code": "<string>",
"CountryCode": "<string>",
"Name": "<string>"
}
]
}Regions (Merchant to Global-e)
Returns the list of regions (states or provinces), optionally filtered by country.
POST
/
Browsing
/
Regions
Return the list of regions (states or provinces) optionally filtered by Country
curl --request POST \
--url https://{globale_api_domain}/Browsing/Regionsimport requests
url = "https://{globale_api_domain}/Browsing/Regions"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://{globale_api_domain}/Browsing/Regions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{globale_api_domain}/Browsing/Regions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{globale_api_domain}/Browsing/Regions"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{globale_api_domain}/Browsing/Regions")
.asString();require 'uri'
require 'net/http'
url = URI("https://{globale_api_domain}/Browsing/Regions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"Region": [
{
"Code": "<string>",
"CountryCode": "<string>",
"Name": "<string>"
}
]
}Make sure your integration follows the latest authentication and IP whitelisting guidelines.
Query Parameters
ISO culture code. If specified, the textual properties (i.e. Name) will be returned in the requested culture’s language. Texts in English will be returned by default for the regions where the texts for the requested culture are unavailable or if the cultureCode argument has not been specified

